<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>

        <IsPackable>false</IsPackable>
        <IsTestProject>true</IsTestProject>
    </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="FakeItEasy" Version="8.1.0" />
      <PackageReference Include="FluentAssertions" Version="7.0.0-alpha.3" />
      <PackageReference Include="JunitXml.TestLogger" Version="3.0.134" />
      <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.3.2"/>
      <PackageReference Include="NUnit" Version="3.13.3"/>
      <PackageReference Include="NUnit3TestAdapter" Version="4.2.1"/>
      <PackageReference Include="NUnit.Analyzers" Version="3.3.0"/>
      <PackageReference Include="coverlet.collector" Version="3.1.2"/>
    </ItemGroup>
  
    <ItemGroup>
        <Using Include="NUnit.Framework"/>
    </ItemGroup>

</Project>
